import { hasDependency } from '#p/util/plugin.js';
const title = 'PostCSS';
const enablers = ['postcss', 'postcss-cli', 'next'];
const isEnabled = ({ dependencies }) => hasDependency(dependencies, enablers);
const config = ['postcss.config.{cjs,js}', 'postcss.config.json', 'package.json'];
const resolveConfig = config => {
    return config.plugins
        ? (Array.isArray(config.plugins) ? config.plugins : Object.keys(config.plugins)).flatMap(plugin => {
            if (typeof plugin === 'string')
                return plugin;
            if (Array.isArray(plugin) && typeof plugin[0] === 'string')
                return plugin[0];
            return [];
        })
        : [];
};
export default {
    title,
    enablers,
    isEnabled,
    config,
    resolveConfig,
};
