import { hasDependency } from '#p/util/plugin.js';
const title = 'Prettier';
const enablers = ['prettier'];
const isEnabled = ({ dependencies, config }) => hasDependency(dependencies, enablers) || 'prettier' in config;
const config = [
    '.prettierrc',
    '.prettierrc.{json,js,cjs,mjs,yml,yaml}',
    'prettier.config.{js,cjs,mjs}',
    'package.json',
];
const resolveConfig = config => {
    if (typeof config === 'string') {
        return [config];
    }
    return Array.isArray(config.plugins)
        ? config.plugins.filter((plugin) => typeof plugin === 'string')
        : [];
};
export default {
    title,
    enablers,
    isEnabled,
    config,
    resolveConfig,
};
