import ts from 'typescript';
export declare function createCustomSys(cwd: string, virtualFileExtensions: string[]): {
    getCurrentDirectory: () => string;
    args: string[];
    newLine: string;
    useCaseSensitiveFileNames: boolean;
    write(s: string): void;
    writeOutputIsTTY?(): boolean;
    getWidthOfTerminal?(): number;
    readFile(path: string, encoding?: string | undefined): string | undefined;
    getFileSize?(path: string): number;
    writeFile(path: string, data: string, writeByteOrderMark?: boolean | undefined): void;
    watchFile?(path: string, callback: ts.FileWatcherCallback, pollingInterval?: number | undefined, options?: ts.WatchOptions | undefined): ts.FileWatcher;
    watchDirectory?(path: string, callback: ts.DirectoryWatcherCallback, recursive?: boolean | undefined, options?: ts.WatchOptions | undefined): ts.FileWatcher;
    resolvePath(path: string): string;
    fileExists(path: string): boolean;
    directoryExists(path: string): boolean;
    createDirectory(path: string): void;
    getExecutingFilePath(): string;
    getDirectories(path: string): string[];
    readDirectory(path: string, extensions?: readonly string[] | undefined, exclude?: readonly string[] | undefined, include?: readonly string[] | undefined, depth?: number | undefined): string[];
    getModifiedTime?(path: string): Date | undefined;
    setModifiedTime?(path: string, time: Date): void;
    deleteFile?(path: string): void;
    createHash?(data: string): string;
    createSHA256Hash?(data: string): string;
    getMemoryUsage?(): number;
    exit(exitCode?: number | undefined): void;
    realpath?(path: string): string;
    setTimeout?(callback: (...args: any[]) => void, ms: number, ...args: any[]): any;
    clearTimeout?(timeoutId: any): void;
    clearScreen?(): void;
    base64decode?(input: string): string;
    base64encode?(input: string): string;
};
export declare function isVirtualFilePath(filePath: string, extensions: string[]): boolean;
export declare function ensureRealFilePath(filePath: string, extensions: string[]): string;
